package org.itscool.weber.mapping;

import java.util.HashMap;

import org.itscool.weber.user.Role;

/**
 * &lt;role&gt;要素の情報を保持する配列クラスです<BR>
 * <BR>
 * このクラスは次のキーと値の配列で管理されます<BR>
 * 　キー：ユーザ情報ファイルの論理名(name)<BR>
 * 　値  ：ユーザ情報ファイルが保存されているパス(path)<BR>
 *
 * @author KANO
 * @since jdk1.4.1
 * @version 1.00A 2004/11/1
*/
public class RoleMappings extends HashMap{
    /** 唯一のRoleMappingsインスタンス */
    private static RoleMappings instance;
    
    /**
     * 唯一のRoleMappingsインスタンスを取得します
     * @return RoleMappingsインスタンス
    */
    public static synchronized RoleMappings getInstance(){
        if( instance == null ){
            instance = new RoleMappings();
        }
        return instance;
    }
    
    /**
     * 権限情報を取得します
     * @param roleName ロール名
     * @return 権限情報
     */
    public static Role getUserRole(String roleName){
    	Role userRole = (Role)instance.get(roleName);
    	return userRole;
    }
    
}
